import { Meta, Story, ArgsTable, Canvas } from '@storybook/addon-docs/blocks'
import VoteBallot from './VoteBallot'
import mocks from '../mocks'

<Meta title="components/vote/ballot" component={VoteBallot} />

# Vote ballot

Vote ballot

<Canvas withToolbar>
  <Story name="Vote ballot">
    <VoteBallot
      ballotNumber={2}
      startDate={new Date('2020-11-08')}
      endDate={new Date('2020-11-15')}
      resultsDate={new Date('2020-11-22')}
      projectedWinner={{
        icon: mocks.projectedWinner.icon,
        name: mocks.projectedWinner.name
      }}
      votes={mocks.votes}
    />
  </Story>
</Canvas>

### Properties

<ArgsTable of={VoteBallot} />